<script setup>
import { reactive, ref, computed } from "vue";
const studentList = ref(["Ramesh Khadka", "Umesh Thapa", "Ganesh Basnet", "Ram Thapa"]);
const employees = ref([
  {
    id: 1,
    name: "Suresh Khadka",
    email: "khadkasimon@gmail.com",
    salary: 50000,
    status: "active",
  },
  {
    id: 2,
    name: "Umesh Kumar Dahal",
    email: "umesh@gmail.com",
    salary: 40000,
    status: "active",
  },

  {
    id: 3,
    name: "Ram Basnet",
    email: "ram@gmail.com",
    salary: 5000,
    status: "active",
  },
]);

const salaryGrather = computed(() => {
  return employees.value.filter((employee) => employee.salary > 4000);
});
</script>

<template>
  <div class="container-fluid mt-2">
    <div class="card">
      <div class="card-header">
        <h4>Student List</h4>
      </div>
      <div class="card-body">
        <table class="table table-striped table-bordered table-hover">
          <thead>
            <th>Sn</th>
            <th>Name</th>
            <th>Email</th>
            <th>Status</th>
          </thead>
          <tbody>
            <template v-for="(value, index) in salaryGrather" :key="index">
              <tr v-if="value.salary > 4000">
                <td>{{ value.id }}.</td>
                <td>{{ value.name }}</td>
                <td>{{ value.salary }}</td>
                <td>{{ value.status }}</td>
              </tr>
            </template>
          </tbody>
        </table>
      </div>
      <!-- array of string example -->
      <p>{{ studentList[0] }}</p>
      <p v-for="(student, index) in studentList" :key="index">{{ student }}</p>
    </div>
  </div>
</template>

<style scoped></style>
